Redmine - Feature #26127

Display user logins on profiles
2017-06-09 08:03 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

This is a continuation of the proposal initially started in #4179#note-42 by Go MAEDA, which got split from #4179 with
#4179#note-55:

Jean-Philippe Lang wrote:

But | prefer to postpone the display of user logins on profiles until we get more feedback.

Related issues:

Related to Redmine - Feature #4179: Link to user in wiki syntax Closed 2009-11-08
Related to Redmine - Feature #13919: Mention user on issues and wiki pages us... Closed
Related to Redmine - Feature #17629: Make users with same name distinguishabl... New

Associated revisions

Revision 17721 - 2018-12-12 01:10 - Go MAEDA
Display user logins on profiles (#26127).

Patch by Marius BALTEANU.

History

#1 - 2017-06-09 08:44 - Mischa The Evil
- Related to Feature #4179: Link to user in wiki syntax added

#2 - 2017-07-01 07:15 - Go MAEDA

- Target version set to 4.1.0

Let's include this feature in 3.5.0 if there aren't any noticeable objection.

#3 - 2017-07-01 17:52 - Marius BALTEANU
- File 4179_show_login_attribute_in_user_show_v3.patch added

Attached the patch from #4179. Also, | find this feature quite important for a mention feature (#13919) because without this, it'll be necessary to use
the user id (which is not so friendly from my point of view).

Regarding user's feedback, in #4179, there are no noticeable objections. Only pro opinions, from Jan from Planio, André Lozovey, me, Go Maeda
and Mischa The Evil (not 100% sure).

#4 - 2017-07-03 20:40 - Mischa The Evil
Marius BALTEANU wrote:

[...] Mischa The Evil (not 100% sure).

Well, I am quite neutral about this proposal. | do think however that this is indeed a requirement for a user-friendly implementation of a mention
feature like #13919.
#5 - 2017-07-31 05:49 - Toshi MARUYAMA

- Related to Feature #13919: Mention user on issues and wiki pages using @user with autocomplete added

#6 - 2018-06-25 02:04 - Anonymous

I would like to see this feature in my Redmine.

#7 - 2018-08-21 17:22 - Marius BALTEANU

- Related to Feature #17629: Make users with same name distinguishable when adding watchers added

#8 - 2018-12-10 14:05 - Go MAEDA

Since there was no disagreement with the feature over the past year and a half, | think we can commit this change.

#9 - 2018-12-10 20:53 - Marius BALTEANU
Go MAEDA wrote:

Since there was no disagreement with the feature over the past year and a half, | think we can commit this change.

Agree.

#10 - 2018-12-11 00:41 - Go MAEDA
- File 4179 _show_login_attribute_in_user_show_v4.patch added

Updated the patch for the current trunk r17702.

#11 - 2018-12-12 01:10 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thanks.

Files

4179_show_login_attribute_in_user_show_v3.patch 2.29 KB 2017-07-01 Marius BALTEANU

4179_show_login_attribute_in_user_show_v4.patch 2.25 KB 2018-12-10 Go MAEDA
